%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
Summary: 		GNOME XML documentation utilities 
Name: 			gnome-doc-utils
Version: 		0.10.1
Release: 		%mkrel 2
Source0: 		http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
# (fc) 0.8.0-1mdv use catalog for dtd validation
Patch0:			gnome-doc-utils-0.8.0-catalog.patch
License: 		LGPL
Group: 			Publishing
Url: 			http://www.gnome.org
BuildRequires: 		libxslt-devel
BuildRequires: 		libxslt-proc
BuildRequires: 		glib-gettextize
BuildRequires: 		scrollkeeper
BuildRequires: 		intltool
Requires:		libxslt-proc
Requires:		libxml2-utils
Requires: 		python-libxml2
Requires(post): 	scrollkeeper
Requires(postun): 	scrollkeeper
BuildRoot: 		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: 		noarch
%define _requires_exceptions pkgconfig.libxml-2.0

%description
gnome-doc-utils is a collection of documentation utilities for the Gnome
project.  Notably, it contains utilities for building documentation and
all auxiliary files in your source tree, and it contains the DocBook
XSLT stylesheets that were once distributed with Yelp.

%prep
%setup -q
touch *
cd tools
%patch0 -p1 -b .catalog
cd ..
#needed by patch0
aclocal-1.9 -I tools
autoconf
automake-1.9 -a -c

%build

./configure --prefix=%_prefix --mandir=%_mandir --disable-scrollkeeper

%make

%check
#broken ATM
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std pkgconfigdir=%pkgconfigdir
%find_lang gnome-doc-make --with-gnome
%find_lang gnome-doc-xslt --with-gnome
%find_lang %name
cat gnome-doc-xslt.lang gnome-doc-make.lang >> %name.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_scrollkeeper

%postun
%clean_scrollkeeper


%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%_bindir/*
%pkgconfigdir/*.pc
%_datadir/aclocal/*.m4
%_datadir/gnome-doc-utils/
%dir %_datadir/omf/gnome-doc-make/
%_datadir/omf/gnome-doc-make/gnome-doc-make-C.omf
%dir %_datadir/omf/gnome-doc-xslt/
%_datadir/omf/gnome-doc-xslt/gnome-doc-xslt-C.omf
%dir %_datadir/xml/
%_datadir/xml/gnome
%_datadir/xml2po/
%_mandir/man1/xml2po.1*


%changelog
* Thu Mar 15 2007 Götz Waschk <waschk@mandriva.org> 0.10.1-2mdv2007.1
+ Revision: 144422
- fix deps

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.1
+ Revision: 142119
- new version

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdv2007.1
+ Revision: 142087
- fix build
- new version

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2007.1
+ Revision: 115208
- new version

* Fri Jan 26 2007 Götz Waschk <waschk@mandriva.org> 0.9.1-1mdv2007.1
+ Revision: 114007
- Import gnome-doc-utils



* Fri Jan 26 2007 Gtz Waschk <waschk@mandriva.org> 0.9.1-1mdv2007.1
- fix build
- unpack patch 
- new version

* Thu Sep  7 2006 Gtz Waschk <waschk@mandriva.org> 0.8.0-2mdv2007.0
- fix buildrequires
- fix build

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2007.0
- New release 0.8.0
- Patch0: use catalog for DTD validation (fcrozat)
- disable make check for now

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2007.0
- New release 0.7.2

* Mon Jun 12 2006 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2007.0
- New release 0.7.1

* Wed Apr 12 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6.0-1mdk
- Release 0.6.0

* Wed Feb 22 2006 Eskild Hustvedt <eskild@mandriva.org> 0.4.4-3mdk
- Drop old text from the description

* Wed Feb 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.4-2mdk
- Use mkrel

* Mon Nov 28 2005 Götz Waschk <waschk@mandriva.org> 0.4.4-1mdk
- New release 0.4.4

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 0.4.3-1mdk
- drop patch
- New release 0.4.3

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.2-2mdk
- Patch0: fix scrollkeeper-update when using DESTDIR

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.2-1mdk
- Release 0.4.2
- remove patch0 (merged upstream)

* Sat Aug 27 2005 Gtz Waschk <waschk@mandriva.org> 0.2.1-2mdk
- replace prereq
- encoding fix

* Tue Jul 12 2005 Gtz Waschk <waschk@mandriva.org> 0.2.1-1mdk
- New release 0.2.1

* Thu Apr 28 2005 Gtz Waschk <waschk@mandriva.org> 0.2.0-2mdk
- fix pkgconfig file location

* Mon Apr 04 2005 Götz Waschk <waschk@linux-mandrake.com> 0.2.0-1mdk
- New release 0.2.0

* Mon Mar  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- update file list
- New release 0.1.3

* Fri Jan 14 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.1.2-1mdk
- New release 0.1.2

* Mon Jan  3 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.1.1-1mdk
- New release 0.1.1

* Wed Nov  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-3mdk
- buildrequires fix

* Mon Nov  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-2mdk
- add scrollkeeper scripts
- fix deps

* Mon Nov  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial package
